[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tvector4_single):Tvector4_extended

Allow assignment of four-dimensional single precision vector to four-dimensional extended precision vector

## Declaration

Source position: matrix.pp line 346

`operator operator :=(`
`const v: Tvector4_single`
`):Tvector4_extended;`

## Description

This operator allows you to use a four-dimensional vector with single precision values wherever a four-dimensional vector with extended precision is expected.